#ifndef PHOTOFIELDWIDGET_H
#define PHOTOFIELDWIDGET_H
#include <QLabel>
#include <QHttp>
#include <QPushButton>
#include <QUrl>
#include "abstractfieldwidget.h"
class PhotoFieldWidget : public AbstractFieldWidget
{
Q_OBJECT
public:
    explicit PhotoFieldWidget(QWidget *parent = 0);
void setValue(QVariant value);
QVariant value();
signals:

public slots:
void openDialog();
void imageLoaded(bool error);
private:
QPushButton * mPhotoButton;
QSize  mPhotoSize;
QHttp * mHttp;
QUrl mImagePath;


};

#endif // PHOTOFIELDWIDGET_H
