#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QMap>
#include <QToolBar>
#include <QMdiSubWindow>
namespace Ui {
    class MainWindow;
}

class MainWindow : public QMainWindow {
    Q_OBJECT
public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();
    void addWidgetAction(QAction * action, QWidget * widget);
    QToolBar * mainToolBar()
    {
        return mMainToolBar;
    }

public slots:
    void activeWidget(bool show);
protected:
    void changeEvent(QEvent *e);

private:
    Ui::MainWindow *ui;
    QMap <QAction*, QWidget*> mWidgetActions;
    QToolBar * mMainToolBar;
};

#endif // MAINWINDOW_H
