#include "annuairetablewidget.h"
#include "form/annuaireform.h"
AnnuaireTableWidget::AnnuaireTableWidget(QWidget *parent) :
        AbstractTableWidget(parent)
{

    QSqlQueryModel * model = new QSqlQueryModel;
    model->setQuery("select id, photo,nom,prenom,ville, telephone,telephone2,fax,email from annuaires");
    setModel(model);





}
void AnnuaireTableWidget::addRecord()
{
    AnnuaireForm * form =new AnnuaireForm;
    FormDialog * dialog = new FormDialog(form);
    dialog->exec();
    refresh();
}

void AnnuaireTableWidget::editRecord()
{
    AnnuaireForm * form =new AnnuaireForm;
    FormDialog * dialog = new FormDialog(form);
    SqlHelper sql("annuaires",this);
    form->load(sql.record(firstRecordSelected().value("id").toInt()));
    dialog->exec();
    refresh();
}
void AnnuaireTableWidget::deleteRecord()
{

    SqlHelper sql("annuaires",this);
    foreach ( QSqlRecord record, recordsSelected())
        sql.deleteRecord(record.value("id").toInt());
    refresh();

}




